WindowsList

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.mdi.client
Class WindowsList

    java.lang.Object
      java.util.Dictionary
          java.util.Hashtable
              org.openswing.swing.mdi.client.WindowsList

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

public class WindowsList
extends java.util.Hashtable

Title: OpenSwing Framework

Description: Hashtable combined with list.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

See Also:
  Serialized Form

Constructor Summary
`WindowsList()`

Method Summary
`java.util.ArrayList` | `getList()`
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)` Put entry in hastablr and in list.
`java.lang.Object` | `remove(java.lang.Object key)`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, putAll, size, toString, values`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WindowsList

    public WindowsList()

Method Detail

### remove

    public final java.lang.Object remove(java.lang.Object key)

### getList

    public final java.util.ArrayList getList()

  Returns:
    list of keys

### put

    public final java.lang.Object put(java.lang.Object key,
                                      java.lang.Object value)

  Put entry in hastablr and in list.

  Parameters:
    `key` - JInternalFrame
    `value` - JMenuItem

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD